# &kde; användarhandbok

David
Faure

    faure@kde.org

Waldo
Bastian

    bastian@kde.org

2008-11-12
0.01.01
kded4
8

# `kded4`

&kde; demon - utlöser uppdateringar av Sycoca-databasen vid behov.

## Översikt

    kded4 --help Allmänna väljare Qt-väljare KDE-väljare --check

## Beskrivning

`kded4` är ansvarig för att skapa sycoca-filen, dvs. den binära cache av tjänsttyper, Mime-typer och tjänster för en viss användare.

Den övervakar katalogerna som innehåller .desktop-filer. När en fil läggs till eller tas bort, väntar den 5 sekunder (i händelse av en serie uppdateringar), och startar därefter `kbuildsycoca`.

## Allmänna väljare

`--author`

  Visa information om upphovsman.

`--help`

  Visa hjälp om väljare.

`--help-all`

  Visa alla väljare.

`--help-kde`

  Visa KDE-specifika väljare.

`--help-qt`

  Visa Qt-specifika väljare.

`--license`

  Visa licensinformation.

`-v` `--version`

  Visa versionsinformation

## Programväljare

`--check`

  Kontrollera bara Sycoca-databasen en gång.

## Användning

Om `kded4` anropas utan väljare och redan kör, visar den meddelandet:

    KDE-demonen (kded) kör redan.

Om `kded4` anropas med `kded4 --check`, uppdaterar den &kde;:s sycoca genom att använda `kbuildsycoca`.

## Se också

kdeoptions(7), qtoptions(7), kbuildsycoca(8)

## Fel

Det finns troligen en massa fel. Använd bugs.kde.org för att rapportera dem.